%define name	fslint
%define version	2.42
%define release	%mkrel 2

Summary:	FSlint - a utility to find and clean "lint" on a filesystem
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		File tools
License:	GPL
URL:		http://www.pixelbeat.org/fslint/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
Requires:	python
Requires:	pygtk2.0
Requires:       pygtk2.0-libglade
Requires:	cpio

%description
FSlint is a utility to find redundant disk usage like duplicate files
for example. It can be used to reclaim disk space and fix other problems
like file naming issues and bad symlinks etc. It includes a GTK+ GUI as 
well as a command line interface.


%prep
%setup -q -n %{name}-%{version}
%{__perl} -pi -e 's|^liblocation=.*$|liblocation="%{_datadir}/%{name}" #RPM edit|' fslint-gui
%{__perl} -pi -e 's|^locale_base=.*$|locale_base=None #RPM edit|' fslint-gui

# fix icon name in desktop file
sed -i -e 's|fslint_icon|fslint|' %{name}.desktop

%build

%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 755 fslint-gui $RPM_BUILD_ROOT%{_bindir}/fslint-gui
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 755 *.desktop $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor="" \
  --remove-category="Application" \
   --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}/{fstool,supprt}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}/supprt/rmlint
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1

install -pm 644 fslint.glade fslint_icon.png $RPM_BUILD_ROOT%{_datadir}/%{name}

install -Ddm 755 $RPM_BUILD_ROOT{%_miconsdir,%_iconsdir}

install -pm 755 fslint/{find*,fslint,zipdir} $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint
install -pm 755 fslint/fstool/* $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/fstool
install -pm 644 fslint/supprt/fslver $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/get* $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/md5sum_approx $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/rmlint/* $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt/rmlint

cp -a man/* $RPM_BUILD_ROOT%{_mandir}/man1/

make -C po DESTDIR=$RPM_BUILD_ROOT LOCALEDIR=%{_datadir}/locale install
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 0644 %{name}_icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
convert -geometry 32x32 %{name}_icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 %{name}_icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/*
%{_mandir}/man1/fslint*
%{_bindir}/fslint-gui
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Aug 16 2013 billybot <billybot> 2.42-2pclos2013
- update python 2.7

* Thu Apr 29 2010 slick50 <lxgator@gmail.com.com> 2.42-1pclos2010
- 2.42

* Tue Jul 21 2009 slick50 <lxgator@gmail.com.com> 2.40-1pclos2009
- 2.40

* Sat Jan 03 2009 don_crissti <don_crissti@gmx.com> 2.28-1pclos2007
- new version
+ BR: ImageMagick

* Sat Jul 14 2007 Texstar <texstar@gmail.com> 2.20-1pclos2007
- import into pclos2007 original spec from FC7

